Redmine - Patch #24776

Ul inconsistencies on /enumerations/index view
2017-01-07 18:41 - Mischa The Euvil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.4.0

Description

Coming out of and a follow-up to #24720. | spotted three things that could benefit improvement:

e re-position the new enumeration links to above the item tables (in line with #24720 changes)
e add 'icon’ and 'icon-add' classes to the new enumeration links (like most, if not all, new ... links in both the front- and the

back-end) to make them stand-out more

¢ handle cases of none existing enumerations using the regular no-data message blocks

| attach three patches implementing these changes. This patch serial, against current source:/trunk@16156, is produced using git
format-patch which makes the individual patches apply-able using "patch -p1 < 0001-...".

Related issues:

Related to Redmine - Feature #24720: Move all 'new item' links in project set... Closed

Associated revisions

Revision 16186 - 2017-01-14 11:03 - Jean-Philippe Lang

Move 'New enumeration' links to above the item tables (#24776).

Patch by Mischa The Euvil.

Revision 16187 - 2017-01-14 11:04 - Jean-Philippe Lang

Add 'icon' and 'icon-add' classes to new enum links (#24776).

Patch by Mischa The Evil.

Revision 16188 - 2017-01-14 11:04 - Jean-Philippe Lang

Handle the case of none existing enumerations using no-data blocks (#24776).

Patch by Mischa The Evil.

Revision 16189 - 2017-01-14 11:05 - Jean-Philippe Lang
Add margin between tables and the following headings (#24776).

Patch by Mischa The Euvil.

History

#1 - 2017-01-07 18:59 - Mischa The Evil
- File before.png added
- File after.png added

Some comparative screenshots.

Before:
https://www.redmine.org/issues/24720
https://www.redmine.org/issues/24720
https://www.redmine.org/projects/redmine/repository/svn/revisions/16156/entry/trunk
#2 - 2017-01-09 10:29 - Mischa The Evil

- Related to Feature #24720: Move all ‘new item' links in project settings to above the item tables added

#3 - 2017-01-09 13:14 - Go MAEDA
- File before-add-margin.png added
- File after-add-margin.png added

- Target version set to Candidate for next major release

Nice improvement.
But | think it would be better to set more margin between the table and the next heading. Please see the following screenshots.

current patch:
#4 - 2017-01-10 07:30 - Mischa The Evil

- File rare-case-indifferent-distance.png added
- File extreme-case.png added

- File 0001-Move-New-enumeration-links-to-above-the-item-tables.patch added
- File 0002-Add-icon-and-icon-add-classes-to-new-enum-links.patch added

- File 0003-Handle-the-case-of-none-existing-enumerations-using-.patch added

- File 0004-Add-margin-between-tables-and-the-following-headings.patch added
Go MAEDA wrote:

But | think it would be better to set more margin between the table and the next heading. Please see the following screenshots.

| totally agree. Thanks for reviewing and your feedback. I'll leave an updated, rebased patch set — against source:/trunk@16171 — adding a fourth
patch containing the CSS rule you've proposed. The first three patches didn't change by content, only its metadata.

Regarding the CSS rule: while it fixes practical all cases?, it does leave a difference between the space between the tables and the following headers
and the space between the paragraphs and the following headers. See the following two screenshots:

® Remaining difference made visual:
rare-case-indifferent-distance.png

¢ Extreme case without any enumerations at all:
Enumerations

Document categories
Issue priorities
Activities (time tracking)
This cannot be fixed easily (and in a clean way) due to the current structure of the page. Though, given the rarity of the case, | think | can live with this
minor drawback/trade-off. But, YMMV...

' I've almost never seen Redmine instances in production without enumerations, only just installed ones where no default data was loaded yet.

#5 - 2017-01-10 07:31 - Mischa The Evil

- File deleted (0001-Move-New-enumeration-links-to-above-the-item-tables.patch)

#6 - 2017-01-10 07:31 - Mischa The Evil

- File deleted (0002-Add-icon-and-icon-add-classes-to-new-enum-links.patch)

#7 - 2017-01-10 07:31 - Mischa The Evil

- File deleted (0003-Handle-the-case-of-none-existing-enumerations-using-.patch)

#8 - 2017-01-10 09:53 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

Mischa The Evil wrote:

Regarding the CSS rule: while it fixes practical all cases, it does leave a difference between the space between the tables and the following
headers and the space between the paragraphs and the following headers. See the following two screenshots:
https://www.redmine.org/projects/redmine/repository/svn/revisions/16171/entry/trunk

Looks good to me. Thanks!
| think this issue is now ready to be merged. Setting target version to 3.4.0.

' I've almost never seen Redmine instances in production without enumerations, only just installed ones where no default data was loaded yet.

Absolutely agree.

#9 - 2017-01-14 11:05 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks Mischa.

Files

before.png 19.2 KB 2017-01-07 Mischa The Evil
after.png 27.4 KB 2017-01-07 Mischa The Evil
before-add-margin.png 20 KB 2017-01-09 Go MAEDA
after-add-margin.png 21.2 KB 2017-01-09 Go MAEDA
rare-case-indifferent-distance.png 33.7 KB 2017-01-10 Mischa The Evil
extreme-case.png 12.9 KB 2017-01-10 Mischa The Evil
0001-Move-New-enumeration-links-to-above-the-item-tables.patch ~ 1.01 KB 2017-01-10 Mischa The Evil
0002-Add-icon-and-icon-add-classes-to-new-enum-links.patch 893 Bytes 2017-01-10 Mischa The Evil
0003-Handle-the-case-of-none-existing-enumerations-using-.patch 699 Bytes 2017-01-10 Mischa The Evil
0004-Add-margin-between-tables-and-the-following-headings.patch  1.04 KB 2017-01-10 Mischa The Evil
